Subject: bug#9906: 24.0.90; Term / comint integration

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Jun 2012 03:35:33 -0400

> Term and comint share a lot of functionnalities. Comint lacks a few
> features, for instance char/line-mode for direct input.
>
> From what I understand, a good solution would be to make sure that no
> functionality is missing from term.el that's in comint, and deprecate
> comint.

Term and comint have different purposes.  Term is a full-blown terminal
emulator, which has the advantages of supporting curses applications;
comint is intended to be a dumb terminal, which has its own advantages
like not worrying so much about window sizes.  There is no way term will
deprecate comint.